using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Data.SqlClient;
using CG67.FicheCollege.Domaine;
using CG67.FicheCollege.Interface;

namespace CG67.FicheCollege.Entrepot
{
    public class EntrepotCommentaires : EntrepotBase, IEntrepotCommentaires
    {
        public Commentaires GetByCodeRNEAndAnnee(string codeRNE, int annee)
        {
            Commentaires resultat = null;
            using (SqlConnection connexion = new SqlConnection(this.ChaineDeConnexion))
            {
                try
                {
                    connexion.Open();
                    using (SqlCommand command = connexion.CreateCommand())
                    {
                        command.CommandText = "SELECT * FROM Commentaire WHERE CodeRNE=@RNE AND Annee = @Annee";
                        command.Parameters.AddWithValue("@RNE", codeRNE);
                        command.Parameters.AddWithValue("@Annee", annee);
                        using (SqlDataReader dr = command.ExecuteReader())
                        {
                            if (dr.Read())
                            {
                                resultat = new Commentaires(dr["ComSecteurRecrutement"].ToString(), dr["ComPrevisionEffectifATC"].ToString(), dr["ComProgrammationTravaux"].ToString(), dr["ComAmenagementsParticuliers"].ToString(), dr["ComInterventionsRemarquables"].ToString(), dr["ComTableauEffectif"].ToString(), dr["ComTitreGraph"].ToString());
                            }
                        }
                    }
                }
                catch (Exception erreurInterne)
                {
                    throw new Exception(" " + erreurInterne);
                }
                finally
                {
                    if (connexion.State == ConnectionState.Open)
                        connexion.Close();
                }
            }
            return resultat;
        }
    }
}
